Bug 328782 - crop tool: shift modifier to constrain aspect is broken
Summary: crop tool: shift modifier to constrain aspect is broken
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: 2.8 Pre-Alpha
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-14 03:07 UTC by Michel T Gonzalez
Modified: 2013-12-28 14:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
An example of a broken outline (top left) of the rectangle tool that remains visible. (123.10 KB, image/png)
2013-12-14 03:08 UTC, Michel T Gonzalez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel T Gonzalez 2013-12-14 03:07:04 UTC
In 2.8 beta 1, when using a tool that creates a shape or area, pressing either Shift, Control or Alt (in order to lock the ratio/resize from center/move the shape or area) does nothing instead. The shape/area stops moving, and there is no visual feedback.
If you release the mouse button without depressing the key, nothing will happen. The outline of the shape/area will remain visible on the canvas, but it won't actually correspond to a change (example attached).


Reproducible: Always

Steps to Reproduce:
1. Choose any shape/area tool (i.e. rectangle, crop, select ellipse, etc.)
2. Click and drag to start adding the shape/area
3. Without releasing, press either Shift/Control/Alt
Actual Results:  
The selected tool stops working

Expected Results:  
It should resize or move the shape/area according to the hotkey(s)
Comment 1 Michel T Gonzalez 2013-12-14 03:08:42 UTC
Created attachment 84082 [details]
An example of a broken outline (top left) of the rectangle tool that remains visible.
Comment 2 Michel T Gonzalez 2013-12-16 01:45:54 UTC
These problems seem to have disappeared in the 2.7.9.1 x64 build. Except some tools now are not responding to Alt/Control keys when changing area size. In particular, I'm referring to the Crop and Transform tools. Pressing Shift to keep ratio is not working with Crop either, but it is working with Transform.
Comment 3 Dmitry Kazakov 2013-12-24 05:34:38 UTC
Git commit 314f662befd59a9a0678d696d9ee11f31c0404a9 by Dmitry Kazakov.
Committed on 24/12/2013 at 05:33.
Pushed by dkazakov into branch 'master'.

Make Crop Tool handle Shift modifier to fix Aspect Ratio

M  +5    -4    krita/plugins/tools/tool_crop/kis_tool_crop.cc

http://commits.kde.org/calligra/314f662befd59a9a0678d696d9ee11f31c0404a9
Comment 4 Dmitry Kazakov 2013-12-28 14:52:58 UTC
Git commit d76fc2656fc7a5c70615125bae9899d8466f32f0 by Dmitry Kazakov.
Committed on 24/12/2013 at 05:33.
Pushed by dkazakov into branch 'calligra/2.8'.

Make Crop Tool handle Shift modifier to fix Aspect Ratio

M  +5    -4    krita/plugins/tools/tool_crop/kis_tool_crop.cc

http://commits.kde.org/calligra/d76fc2656fc7a5c70615125bae9899d8466f32f0